1.34, 27.09.2024
- Schneller "Hack" für die fehlerhaften Dienstpläne im Oktober 2024

1.33, 08.05.2024
- Korrektur an der Planerkennung, damit auch LHX-Roster erkannt werden

1.32, 31.07.2023
- EW-Flugdienste nachgetragen

1.31, 26.11.2022
- Korrektur für Nachtflüge

1.30, 25.11.2022
- File Keys für Proceeding-Flüge werden ausgelesen

1.29, 06.10.2022
- Option für die Outlook busy states hinzugefügt

1.28, 27.09.2022
- der ehemalige "alpha parser" ist jetzt der Standard; sollten Dienste nicht mehr korrekt erkannt werden -> bitte melden!
- Abwesenheiten für Outlook wurden hinzugefügt

1.27, 01.05.2022
- Bug in der Hotelerkennung behoben

1.26, 23.03.2022
- IATA.csv war nicht utf-8-enkodiert, daher die falschen Umlaute

1.25, 22.01.2022
- Update der Dienste.txt und des alten Parsers

1.24, 20.10.2020
- Update der Dienste.txt

1.23, 29.08.2020
- Korrektur für komplett leere Diensttage

1.22, 17.06.2020
- Korrektur an alpha-parser

1.21, 28.02.2020
- Korrektur an Crewerkennung für alpha-parser

1.20, 04.02.2020
- Workaround für fehlerhafte Textextraktion von PDFBox

1.19, 05.06.2019
- Korrektur am alten Parser
- Interne Anpassung, so dass der DPC zukünftig auch von der Kommandozeile
  aufgerufen werden kann - WIP

1.18, 04.03.2019
- Änderung am Kontaktdatenimport - unter Windows schien es vereinzelt nicht
  zu funktionieren

1.17, 26.01.2019
- Auslesen der Zwischenablage zwecks Import der Kontaktdaten implementiert

1.16, 06.12.2018
- fehlerhafte Zeichen in der Transpo.txt und Fehler im altem Parser entfernt

1.15, 14.11.2018
- Korrektur an Importroutine für die alten Crewdaten-PDFs

1.14, 23.10.2018
- Korrektur im Umgang mit Vorschauplänen

1.13, 04.10.2018
- Korrektur an csv-Export

1.12, 01.10.2018
- Fehlerkorrektur an Einleseroutine

1.11, 23.08.2018
- Fehlerkorrektur, weil das Einlesen unter Windows nicht funktionierte

1.10, 20.08.2018
- Korrektur am "alpha-Parser"

1.09, 14.08.2018
- Fehlerkorrektur an Einleseroutine

1.08, 29.07.2018
- Änderung an der Einleseroutine

1.07, 11.06.2018
- Korrektur an "alpha-Parser", für die Nutzer der alten Routine nicht relevant

1.06, 30.05.2018
- Korrektur des Library-Imports

1.05, 18.05.2018
- Neuer, experimenteller Parser implementiert. Momentan arbeiten beide
  parallel, erst der neue, dann der alte. Die „neue Datei“ wird als
  „xxx_alpha.ics“ abgespeichert.
  Wer experimentierfreudig ist, kann diese gerne einmal ausprobieren - die
  Dienstklarnamen werden aus der „Dienste.txt“ ausgelesen.

1.04, 20.01.2018
- Die neue „Datenbank des fliegenden Personals“ kann eingelesen werden. Bitte einfach
  die pdf aus dem CIT als „Datenbank.pdf“ im Verzeichnis des DPC ablegen.

1.03, 12.01.2018
- Korrektur für AEM

1.02, 11.01.2018
- erneut ein Update der Transpo.txt - vielen Dank an Jürgen!

1.01, 06.12.2017
- neue Rufnummer in der Transpo.txt

1.00, 22.09.2017
- Dienst nachgetragen

0.99, 21.09.2017
- mit „*“ gekennzeichnete CAs(SFAs) werden jetzt aus der CAB.pdf importiert

0.98, 24.03.2017
- neue Option hinzugefügt: es kann ein Alarmierungszeitraum in
  Minuten angegeben werden, den das Handy / der PIM vor C/I bzw.
  S/U einen Hinweis auf den bevorstehenden Dienst anzeigt

0.97, 28.01.2017
- Änderung an den Bürodiensten

0.96, 10.11.2016
- AEC, AEM und AFF nachgetragen

0.95, 26.09.2016
- Teilweise fehlten die Hotelinformationen -> korrigiert

0.94, 03.07.2016
- interner Fehler korrigiert
- da Windows Dateiendungen im Explorer standardmäßig auszublenden scheint,
  werden fortan auch „FO.pdf.pdf“, „CPT.pdf.pdf“ und „CAB.pdf.pdf“
  erkannt - so heißen anscheinend die Dateien gerne, wenn man sie aus dem
  Browser unter Windows abspeichert

0.93, 31.03.2016
- GC nachgetragen
- Überarbeitung der Transpo.txt durch einen netten Kollegen aus Hannover

0.92, 07.03.2016
- Korrektur an C/I-Routine

0.91, 20.02.2016
- A343-SIM nachgetragen

0.90, 29.11.2015
- Korrektur an der csv-Routine

0.89, 13.11.2015
- Die Telefonlisten aus dem CIT (PDF-Dateien) können vom DPC eingelesen
  werden. Damit wird eine Stammdaten.txt nicht mehr benötigt.
  WICHTIG: die Dateinamen müssen der Funktionsgruppe entsprechen,
  d.h. also bitte „CAB.pdf“, „FO.pdf“ und „CPT.pdf“ verwenden - ansonsten
  ignoriert der DPC die Dateien.
- sofern obige PDFs gefunden wurden, erstellt der DPC automatisch eine
  „Kollegen.vcf“ in seinem Verzeichnis, die in geeignete Programme bzw.
  Mobiltelefone importiert werden kann. Darin enthalten sind die Rufnummern
  der in den PDFs gefundenen Kollegen.
  Da dies eine sehr neue Funktion ist, bitte mit Vorsicht genießen und
  vielleicht nicht unmittelbar zwecks Import aufs Mobiltelefon mailen - hinterher
  sind einem knapp 1800 Kollegen doch etwas arg viel und man fragt sich,
  wie man die Geister die man rief wieder los wird. :-)
  (Die Kollegen sind über die Organisation getaggt mit
  „CLH (Funktion) (Dreilettercode) (Station)“, d.h. darüber sollte zumindest
  eine Selektion möglich sein)

0.88, 06.09.2015
- Fehler bei der csv-Erstellung bedingt durch den Wegfall der eckigen
  Klammern korrigiert
- Elternzeit nachgetragen

0.87, 16.08.2015
- eckige Klammern um die Telefonnummern entfernt, da Android evtl. die erste
  Klammer als Teil der Rufnummer interpretiert
- Versionsabfrage an neue Webseite angepaßt

0.86, 15.05.2015
- PSF/PCA nachgetragen

0.85_2 28.07.2014
- zumindest auf meinem Rechner gab es Probleme mit der in 0.85
  eingeführten Standardalarmierung, weshalb ich diese Version als
  Alternative anbiete

0.85, 03.07.2014
- allen Kalendereinträgen eine Alarmierung in der Vergangenheit
  gegeben, weil es ansonsten bei Outlook das Problem einer
  Standardalarmierung gibt

0.84, 03.07.2014
- Option eingebaut, Bürodienste als Ganztagesereignisse zu exportieren

0.83, 11.06.2014
- Aktualisierung der Transpo-Rufnummern durch einen fleißigen Kollegen

0.82, 29.05.2014
- Korrektur an der SIM-Routine

0.81, 28.05.2014
- Dienst nachgetragen

0.80, 07.04.2014
- Dienste nachgetragen

0.79, 28.12.2013
- nur eine kosmetische Anpassung: die Flugnummer steht direkt im Termin des
  Flugdienstes

0.78, 30.11.2013
- Anpassung an neues Vorschau-Format
- Nachtrag zweier TQM-Kürzel

0.77a5, 09.11.2013
- Datei-Dialoge umgestellt, so daß auch Ordner mit Umlauten dargestellt werden
  (setzt aktuelles Java voraus)
- Erweiterung der Transpo.txt durch einen freundlichen Kollegen

0.77a4, 10.08.2013
- Rufnummern aus den csv-Daten entfernt

0.77a3, 29.07.2013
- Dienst nachgetragen

0.77a2, 27.07.2013
- Korrektur am Format der Transporteurdaten

0.77a, 02.07.2013
- geplante UTC-Flugzeiten stehen als Referenz in der Notiz zum Flugdienst
- die Diensthandynummern erscheinen, sofern eine Stammdaten.txt vorhanden ist,
  in der Notiz zum Flugdienst, so daß hieraus ggf. direkt ein Anruf erfolgen kann
- die ics-Datei wird UTF-8 kodiert abgespeichert (soll heißen, Umlaute sind
  darstellbar)
- es wird eine Datei "Transpo.txt" eingeführt, welche sich im gleichen Ordner
  wie die CLH-DPC.jar befindet. Diese enthält IATA-Codes, die, sofern sie im
  Dienstplan als Hotelübernachtungsort gefunden werden, um die in der Datei
  angehängten Informationen erweitert in den Hotel-Termin geschrieben werden.
  Klingt konfus - ist es aber nicht. :-)
  Damit sollen einfach die Rufnummern der Hoteltransporteure schnell griffbereit
  zur Verfügung stehen. Leider gibt es, soweit ich weiß, keine Möglichkeit,
  im Intranet auf eine Gesamtliste der Transportunternehmen (bzw. die Layover-
  Info) zuzugreifen - hier ist also ggf. koordinierte Handarbeit von Nöten.

0.76, 29.04.2013
- Fehlerkorrektur

0.75, 26.04.2013
- einige Dienste nachgetragen

0.74, 27.03.2013
- LFA nachgetragen

0.73, 12.03.2013
- etliche Kürzel nachgetragen - vielen Dank an die
  fleißigen Kollegen

0.72, 27.01.2013
- BVF aufgenommen

0.71, 22.11.2012
- Flottenmeeting Frankfurt nachgetragen

0.70, 01.10.2012
- Standby-Routine überarbeitet

0.69, 30.09.2012
- Routine für Seminare korrigiert

0.68, 01.05.2012
- Knopp eingebaut, der online prüft, ob es eine neue Version
  des DPC gibt

0.67, 30.03.2012
- Formatierungsproblem unter Windows (ich nutze nur meinen Mac,
  deshalb ist mir der Fehler selbst nie aufgefallen) hoffentlich
  behoben -> feedback erwünscht, falls es nicht klappt

0.66, 17.03.2012
- Das Format der Vorschaupläne hat sich wohl geändert,
  dementsprechend bedurfte es einer Anpassung

0.65, 15.02.2012
- Dienst nachgetragen

0.64, 05.02.2012
- neue PDF-Library eingebaut, weil manche Pläe sich nicht mehr
  auslesen ließen
- ein paar Dienste nachgetragen

0.63, 13.12.2011
- es gibt eine neue Option, so daß man zukünftig entscheiden
  kann, ob freie Tage (U, T, O) exportiert werden sollen

0.62, 26.11.2011
- es hat eine Änderung des PDF-Formats gegeben, daher die neue
  Version

0.61, 20.11.2011
- ZMA wurde faelschlicherweise als EMJ und nicht als ARJ
  erkannt

0.60, 03.11.2011
- Korrektur beim Export ohne Flugdienste

0.59, 27.10.2011
- SIM in Zürich nachgetragen

0.58, 11.09.2011
- noch ein paar Trainerdienste…

0.57, 05.09.2011
- einige Dienste nachgetragen

0.56, 18.07.2011
- Leerzeilenerkennung überarbeitet

0.55, 10.06.2011
- Fehler beim Export ohne Dienste korrigiert

0.54, 18.04.2011
- CSV-Datei enthält jetzt für jeden einzelnen Flugdienst die Crew

0.53, 16.04.2011
- Charter aktualisiert, so daß auch die Crewnamen erscheinen

0.52, 04.04.2011
- drei Dienste nachgetragen

0.51, 25.03.2011
- Neben den Klarnamen (so eine Stammdaten.txt gefunden wurde)
  wird auch der TLC in den Flug exportiert
- es gibt eine neue Option, die den Export der einzelnen
  Flugdienste unterbindet. Stattdessen wird nur ein einzelner
  Termin erzeugt, der mit C/I beginnt, bei C/O endet und als
  Bezeichner alle angeflogenen Flughäfen enthält -> am besten
  ausprobieren, dann wird's verständlich.
 
0.50, 09.03.2011
- Dienst nachgetragen

0.49, 07.01.2011
- weiteres Problem an der csv-Routine korrigiert
  wichtig: da ich den csv-Export selbst nicht nutze,
  bin ich auf euren Input angewiesen, was Fehler anbelangt.
  Danke dafür!

0.48, 25.12.2010
- Korrektur an der csv-Export-Routine

0.47, 29.11.2010
- ab sofort darf die Kabine auch ohne Cockpit fliegen, ohne daß der
  DPC abstürzt

0.46b, 12.11.2010
- Der Datumstring wird ausgewertet, um den aktuellen Tag zu bestimmen;
  soll Probleme vermeiden, falls es zu PDF-to-Text-Fehlformatierungen
  kommt

0.45, 25.09.2010
- der Oktober-Plan 2010 hat einen Formatfehler, der hiermit
  ignoriert wird

0.44, 08.09.2010
- sowohl TLCs als auch Klarnamen werden in die csv-Datei exportiert

0.43, 01.08.2010
- TLCs werden in die csv-Datei exportiert

0.42, 28.07.2010
- CLP-Routine korrigiert

0.41, 17.07.2010
- Oender nachgetragen

0.40, 27.05.2010
- Anpassung an das minimal geänderte Dienstplanformat

0.39, 13.05.2010
- EMJ-SIM nachgetragen; konnte es mangels Plan aber nicht
  verifizieren!

0.38, 26.04.2010
- DPC für die Dekodierung von Vorschauplänen angepasst; doch recht
  viele Änderungen nötig

0.37, 28.02.2010
- Layover nachgetragen; der gedoppelte Hoteleintrag lässt sich für
  den Moment leider nicht vermeiden

0.36, 08.02.2010
- Option zum Exportieren von csv-Daten hinzugefügt, die etwa in
  einer Flugbuchsoftware zum Import der Flugdienste dienen kann

0.35, 06.02.2010
- Korrektur beim Line-Check

0.34, 27.01.2010
- der DPC merkt sich jetzt bei erfolgreichen Dateizugriffen die
  jeweiligen Ordner, sowohl beim Öffnen als auch Speichern

0.33, 11.01.2010
- Anpassung an die neuen Refresher-Kürzel

0.32, 01.11.2009
- sollte der Monat mit einer Übernachtung beginnen, wird die
  Startzeit jetzt korrekt initialisiert

0.31, 28.10.2009
- das Programm sucht zunächst nach einer Stammdaten.txt und anschließend
  nach einer contacts.txt - zukünftig entfällt also das lästige Umbenennen

0.30, 01.09.2009
- einige EMB-Schulungsdienste nachgetragen, die korrekten Bezeichnungen fehlen
  allerdings noch!
  
0.29, 04.06.2009
- ein Kommentar der Crewplanung ließ den DPC abstürzen, da er einen
  Flugdienst gefunden zu haben meinte. Korrigiert durch zusätzliche Abfrage
  
0.28, 31.03.2009
- Betriebsversammmlung München nachgetragen

0.27, 08.01.2009
- LCK korrigiert (eigentlich werden Zeilen mit nur einem Eintrag überlesen,
  LCK bildet jetzt die Ausnahme)
- Flottenmeeting MUC nachgetragen

0.26, 26.11.2008
- EOJ nachgetragen

0.25, 05.11.2008
- kleinere Korrekturen
- zu den Hotels sage ich nichts mehr. ;-) Dafür muß ein Re-Design her...

0.24, 26.09.2008
- RO nachgetragen (requested off?!)
- Hotelfehler noch offen

0.23b5, 13.05.2008
- Fehler bei Ferry-Flug korrigiert
- Hotelfehler noch offen

0.23b4, 13.05.2008
- Nachtrag der Standby-Dienste S5 und S6
- in den Hoteldaten steckt noch ein Fehler: erstrecken sich die Hoteldaten
  √ºber 2 Seiten, wird der Minikalender mit in den Hoteleintrag genommen
  
0.23b3, 05.05.2008
- Fehler beim Auslesen der Hoteldaten behoben (komischerweise wieder Zeilen mit nur einem
  Zeichen in der PDF-Datei vorhanden)
  
0.23b2, 05.05.2008
- Zeilen mit nur einem Eintrag werden √ºbersprungen, da es anscheinend seit kurzem
  eine leicht ge√§nderte PDF-Kodierung gibt
  
0.23b, 05.05.2008
- Hotelinformationen werden hinterlegt

0.22, 25.04.2008
- S2 statt S2N nachgepflegt

0.21, 04.04.2008
- Das Hotelproblem wurde jetzt dahingehend aufgel√∂st, als da√ü es f√ºr den Moment
  wirklich nur noch normale Termine gibt, die unmittelbar nach dem letzten Dienst
  beginnen und 1 Stunde lang andauern. Das entspricht zwar nicht dem tats√§chlichen
  Aufenthalt im Hotel, ist aber bei Kollegen, die ihre Kalender auch in der Tages-
  oder Wochenansicht nutzen, bedeutend aufger√§umter.
  
0.20, 03.04.2008
- es gab einen Problem bei Ferry-Fl√ºgen mit der nicht vorhandenen Kabinencrew; Dank
  einer zus√§tzlichen Abfrage sollte es jetzt laufen
  
0.19, 31.03.2008
- Thema Tageshotel steht nat√ºrlich immer noch auf der Agenda
- nachdem einige Kollegen Probleme mit dem Export der ics-Daten hatte,
  habe ich die Filterung der Eingangsdaten etwas "intensiviert", so da√ü
  weniger M√ºll durch den ics-Export l√§uft
  
0.18, 30.03.2008
- nachwievor keine L√∂sung f√ºr die Tageshotels, da mir ein entsprechender Plan fehlt
- Ground Course nachgetragen
- TXM (Taxi?) nachgetragen
- S1 und S2N nachgetragen, wie die beiden anderen Standbys hei√üen wird sich hoffentlich
  bald kl√§ren lassen

0.17b, 11.03.2008	BETA!
- fortan sind Hotels keine Ganztagesereignisse mehr, sondern beginnen
  unmittelbar nach dem letzten Ereignis und enden mit dem nachfolgenden.
- der Filter auf PDF-Dateien ist deaktiviert